Browse Source

manual merge/patch

tags/1%0.164+devuan1
Ralph Rönnquist 2 weeks ago
parent
commit
5bb302276e
11 changed files with 495 additions and 325 deletions
  1. +25
    -28
      debian/apt-cdrom-setup.templates
  2. +6
    -4
      debian/apt-mirror-setup.templates
  3. +3
    -2
      debian/apt-setup-udeb.templates
  4. +187
    -15
      debian/changelog
  5. +3
    -3
      debian/control
  6. +83
    -83
      generators/41cdset
  7. +16
    -0
      generators/50mirror
  8. +49
    -49
      generators/60local
  9. +34
    -53
      generators/91security
  10. +45
    -44
      generators/92updates
  11. +44
    -44
      generators/93backports

+ 25
- 28
debian/apt-cdrom-setup.templates View File

@@ -1,13 +1,13 @@
Template: apt-setup/progress/cdrom
Type: text
# :sl1:
_Description: Scanning the CD-ROM...
_Description: Scanning the installation media...

Template: apt-setup/cdrom/failed
Type: error
# :sl2:
_Description: apt configuration problem
An attempt to configure apt to install additional packages from the CD
An attempt to configure apt to install additional packages from the media
failed.

Template: apt-setup/cdrom/set-first
@@ -15,60 +15,57 @@ Type: boolean
Default: false
#flag:translate!:3
# :sl1:
_Description: Scan another CD or DVD?
Your installation CD or DVD has been scanned; its label is:
_Description: Scan extra installation media?
Scanning your installation media finds the label:
.
${LABEL}
.
You now have the option to scan additional CDs or DVDs for use by the
package manager (apt). Normally these should be from the same set as the
installation CD/DVD. If you do not have any additional CDs or DVDs
available, this step can just be skipped.
You now have the option of scanning additional media for use by the package
manager (apt). Normally these should be from the same set as the one you
booted from. If you do not have any additional media, this step can just be
skipped.
.
If you wish to scan another CD or DVD, please insert it now.
If you wish to scan more media, please insert another one now.

Template: apt-setup/cdrom/set-next
Type: boolean
Default: false
#flag:translate!:3
# :sl1:
_Description: Scan another CD or DVD?
The CD or DVD with the following label has been scanned:
_Description: Scan extra installation media?
The image with the following label has been scanned:
.
${LABEL}
.
If you wish to scan another CD or DVD, please insert it now.
If you wish to scan more media, please insert another one now.

Template: apt-setup/cdrom/set-double
Type: boolean
Default: true
#flag:translate!:3
# :sl1:
_Description: Scan another CD or DVD?
The CD or DVD with the following label has already been scanned:
_Description: Scan extra installation media?
The image with the following label has already been scanned:
.
${LABEL}
.
Please replace it now if you wish to scan another CD or DVD.
Please replace it now, if you wish to scan another.

Template: apt-setup/cdrom/set-failed
Type: boolean
Default: true
# :sl1:
_Description: Scan another CD or DVD?
_Description: Scan extra installation media?
An attempt to configure apt to install additional packages from the
CD/DVD failed.
media failed.
.
Please check that the CD/DVD has been inserted correctly.
Please check that the media has been inserted correctly.

Template: apt-setup/cdrom/media-change
Type: text
# :sl1:
# This template uses the same text as used in the package apt for apt-cdrom
# Do not translate "/cdrom/" (the mount point)
_Description: Media change
/cdrom/: Please insert the disc labeled '${LABEL}' in the drive '/cdrom/'
and press enter.
Please insert the media labeled '${LABEL}' and press enter.

Template: finish-install/progress/apt-cdrom-setup
Type: text
@@ -79,29 +76,29 @@ _Description: Disabling netinst CD in sources.list...
Template: apt-setup/use/netinst_old
Type: text
# :sl1:
_Description: If you are installing from a netinst CD and choose not to use a mirror, you will end up with only a very minimal base system.
_Description: If you are installing from a netinst CD image and choose not to use a mirror, you will end up with only a very minimal base system.

Template: apt-setup/use/netinst
Type: text
# :sl1:
_Description: You are installing from a netinst CD, which by itself only allows installation of a very minimal base system. Use a mirror to install a more complete system.
_Description: You are installing from a netinst CD image, which by itself only allows installation of a very minimal base system. Use a mirror to install a more complete system.

Template: apt-setup/use/cd
Type: text
# :sl1:
_Description: You are installing from a CD, which contains a limited selection of packages.
_Description: You are installing from an image which contains a limited selection of packages.

Template: apt-setup/use/cd-set1
Type: text
# :sl1:
# The value of %i can be 2 or 3
_Description: You have scanned %i CDs. Even though these contain a fair selection of packages, some may be missing (notably some packages needed to support languages other than English).
_Description: You have scanned %i images. Even though these contain a fair selection of packages, some may be missing (notably some packages needed to support languages other than English).

Template: apt-setup/use/cd-set2
Type: text
# :sl1:
# The value of %i can be from 4 to 8
_Description: You have scanned %i CDs. Even though these contain a large selection of packages, some may be missing.
_Description: You have scanned %i images. Even though these contain a large selection of packages, some may be missing.

Template: apt-setup/use/cd-note
Type: text
@@ -111,7 +108,7 @@ _Description: Note that using a mirror can result in a large amount of data bein
Template: apt-setup/use/dvd
Type: text
# :sl1:
_Description: You are installing from a DVD. Even though the DVD contains a large selection of packages, some may be missing.
_Description: You are installing from a DVD image. Even though it contains a large selection of packages, some may be missing.

Template: apt-setup/use/inet1
Type: text


+ 6
- 4
debian/apt-mirror-setup.templates View File

@@ -9,7 +9,7 @@ Default: false
# :sl1:
_Description: Use non-free software?
Some non-free software has been made to work with Devuan. Though this
software is not at all a part of Devuan, standard Devuan tools can be used
software is not at all a part of Debian, standard Devuan tools can be used
to install it. This software has varying licenses which may prevent you
from using, modifying, or sharing it.
.
@@ -22,7 +22,7 @@ Default: false
_Description: Use contrib software?
Some additional software has been made to work with Devuan. Though this
software is free, it depends on non-free software for its operation. This
software is not a part of Devuan, but standard Devuan tools can be
software is not a part of Debian, but standard Devuan tools can be
used to install it.
.
Please choose whether you want this software to be made available to you.
@@ -34,6 +34,7 @@ Default: Retry
# These are choices of actions so this is, at least in English,
# an infinitive form
__Choices: Retry, Change mirror, Ignore
# :sl2:
_Description: Downloading a file failed:
The installer failed to access the mirror. This may be a problem with your
network, or with the mirror. You can choose to retry the download, select
@@ -47,7 +48,8 @@ Type: boolean
#flag:translate!:3
_Description: Use a network mirror?
A network mirror can be used to supplement the software that is included
on the CD-ROM. This may also make newer versions of software available.
on the installation media. This may also make newer versions of software
available.
.
${EXPLANATION}

@@ -58,5 +60,5 @@ Default: false
_Description: Continue without a network mirror?
No network mirror was selected.
.
If you are installing from a netinst CD and choose not to use a mirror,
If you are installing from a netinst CD image and choose not to use a mirror,
you will end up with only a very minimal base system.

+ 3
- 2
debian/apt-setup-udeb.templates View File

@@ -48,6 +48,7 @@ __Choices: Retry, Ignore
#flag:comment:2
# You should end this with a colon. A non-translatable variable
# follows with the mirror URL
# :sl2:
_Description: Downloading local repository key failed:
The installer failed to download the public key used to sign the local
repository at ${MIRROR}:
@@ -60,7 +61,7 @@ _Description: Downloading local repository key failed:

Template: apt-setup/security_host
Type: string
Default: security.devuan.org
Default: pkgmaster.devuan.org
Description: for internal use; can be preseeded
Host to use for security updates

@@ -79,7 +80,7 @@ _Description: Cannot access repository
Template: apt-setup/services-select
Type: multiselect
Choices-C: security, updates, backports
# SEC_HOST is a host name (e.g. security.devuan.org)
# SEC_HOST is a host name (e.g. pkgmaster.devuan.org)
# Translators: the *entire* string should be under 55 columns
# including host name. In short, KEEP THIS SHORT and, yes, that's tricky
# :sl1:


+ 187
- 15
debian/changelog View File

@@ -1,3 +1,153 @@
apt-setup (1:0.163+devuan1) unstable; urgency=medium

* Upgrade fork

-- Ralph Ronnquist <ralph.ronnquist@gmail.com> Sat, 29 May 2021 17:26:17 +1000

apt-setup (1:0.163) unstable; urgency=medium

* Team upload

[ Updated translations ]
* Arabic (ar.po) by zer0-x
* Norwegian Bokmal (nb.po) by Allan Nordhøy
* Serbian (sr.po) by Filipovic Dragan
* Traditional Chinese (zh_TW.po) by louies0623

-- ned <ned@t520> Fri, 19 Mar 2021 17:17:17 +0100

apt-setup (1:0.162) unstable; urgency=medium

* Team upload

[ Updated translations ]
* Arabic (ar.po) by zer0-x
* Bengali (bn.po) by Indrani Roy
* Catalan (ca.po) by d
* Danish (da.po) by Michael Millet
* Galician (gl.po) by mantinan
* Hindi (hi.po) by KushagraKarira
* kab (kab.po) by Selyan Sliman Amiri
* Latvian (lv.po) by Tranzistors
* Occitan (oc.po) by Quentin PAGÈS
* Tamil (ta.po) by Vasudevan Tirumurti
* Thai (th.po) by Theppitak Karoonboonyanan
* Ukrainian (uk.po) by Anton Gladky

-- Holger Wansing <hwansing@mailbox.org> Sun, 14 Feb 2021 18:41:01 +0100

apt-setup (1:0.161) unstable; urgency=medium

* Team upload

[ Updated translations ]
* Bulgarian (bg.po) by Damyan Ivanov
* Basque (eu.po) by Iñaki Larrañaga Murgoitio
* Hindi (hi.po) by षिखर्
* Kurdish (ku.po) by Lecwan Munzur
* Occitan (oc.po) by Quentin PAGÈS
* Russian (ru.po) by Yuri Kozlov

-- Holger Wansing <hwansing@mailbox.org> Sun, 27 Dec 2020 19:34:30 +0100

apt-setup (1:0.160) unstable; urgency=medium

[ Samuel Henrique ]
* Remove mention of volatile repo from generated sources.list file.
Closes: #954460

[ Updated translations ]
* Bulgarian (bg.po) by Damyan Ivanov
* Greek (el.po) by Vangelis Skarmoutsos
* Basque (eu.po) by Iñaki Larrañaga Murgoitio
* Persian (fa.po) by سهیل خانعلی‌پور
* Italian (it.po) by Milo Casagrande
* Marathi (mr.po) by Prachi Joshi
* Punjabi (Gurmukhi) (pa.po) by Aman ALam

[ New translations ]
* Kabyle (kab.po) by Slimane Selyan Amiri
* Occitan (oc.po) by Quentin PAGÈS

-- Holger Wansing <hwansing@mailbox.org> Sun, 01 Nov 2020 11:12:07 +0100

apt-setup (1:0.159) unstable; urgency=medium

* Team upload.

[ Updated translations ]
* Greek (el.po) by root
* Spanish (es.po) by Javier Fernández-Sanguino
* French (fr.po) by Baptiste Jammet
* Kannada (kn.po) by Yogesh
* Marathi (mr.po) by Prachi Joshi
* Polish (pl.po) by Bartosz Feński
* Serbian (sr.po) by Filipovic Dragan

-- Holger Wansing <hwansing@mailbox.org> Sun, 20 Sep 2020 00:09:42 +0200

apt-setup (1:0.158) unstable; urgency=medium

* Team upload.

[ наб ]
* apt-mirror-setup: Depend on base-installer (>= 1.195)
* generators/50mirror: Use is_ports_architecture from base-installer

[ Updated translations ]
* Persian (fa.po) by Reg3xp
* Icelandic (is.po) by Sveinn í Felli

-- Holger Wansing <hwansing@mailbox.org> Sun, 12 Jul 2020 13:38:19 +0200

apt-setup (1:0.157) unstable; urgency=medium

* Team upload.

[ Updated translations ]
* Estonian (et.po) by Kristjan Räts
* Hebrew (he.po) by Yaron Shahrabani
* Croatian (hr.po) by gogogogi
* Korean (ko.po) by Changwoo Ryu
* Dutch (nl.po) by Frans Spiesschaert
* Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
* Romanian (ro.po) by Andrei POPESCU
* Tamil (ta.po) by Jeyanthinath MuthuRam

-- Holger Wansing <hwansing@mailbox.org> Sat, 09 May 2020 23:37:46 +0200

apt-setup (1:0.156) unstable; urgency=medium

* Team upload.

[ Updated translations ]
* Estonian (et.po) by Mario
* Galician (gl.po) by anonymous
* Lithuanian (lt.po) by Tautvydas Zukauskas
* Marathi (mr.po) by Prachi Joshi

-- Holger Wansing <hwansing@mailbox.org> Sat, 07 Mar 2020 21:41:08 +0100

apt-setup (1:0.155) unstable; urgency=medium

* Team upload.

[ Samuel Thibault ]
* generators/50mirror: unreleased does not support sources yet.

[ Updated translations ]
* Czech (cs.po) by Miroslav Kure
* Esperanto (eo.po) by Felipe Castro
* Hebrew (he.po) by Yaron Shahrabani
* Croatian (hr.po) by Milo Ivir
* Marathi (mr.po) by Prachi Joshi
* Norwegian Bokmal (nb.po) by Petter Reinholdtsen
* Punjabi (Gurmukhi) (pa.po) by Aman ALam
* Serbian (sr.po) by Filipovic Dragan
* Simplified Chinese (zh_CN.po) by 玉堂白鹤

-- Holger Wansing <hwansing@mailbox.org> Tue, 28 Jan 2020 21:25:38 +0100

apt-setup (1:0.151+devuan2) unstable; urgency=medium

* fix 91security bug that messed up source point
@@ -10,11 +160,45 @@ apt-setup (1:0.151+devuan1) unstable; urgency=medium

-- Ralph (rrq) Ronnquist <ralph.ronnquist@gmail.com> Sat, 13 Dec 2019 20:06:00 +1100

apt-setup (1:0.151~deb10u1) buster; urgency=medium
apt-setup (1:0.154) unstable; urgency=medium

[ Holger Wansing ]
* Update generation of apt sources lines for security (starting with
bullseye, that changed from <dist>/updates to <dist>-security).
Thanks to Philip Hands for the patch! (Closes: #935540, #942238)

-- Cyril Brulebois <kibi@debian.org> Thu, 28 Nov 2019 10:56:04 +0100

apt-setup (1:0.153) unstable; urgency=medium

* Team upload.

* Rephrase templates, to rename "CD"/"CD-ROM" into "installation media".

[ Updated translations ]
* German (de.po) by Holger Wansing
* Indonesian (id.po) by Andika Triwidada
* Icelandic (is.po) by Sveinn í Felli
* Portuguese (pt.po) by Miguel Figueiredo
* Traditional Chinese (zh_TW.po) by Walter Cheuk

-- Holger Wansing <hwansing@mailbox.org> Sun, 06 Oct 2019 20:49:39 +0200

apt-setup (1:0.152) unstable; urgency=medium

* Team upload.

[ Updated translations ]
* Hebrew (he.po) by Yaron Shahrabani

[ Philip Hands ]
* Update the Salsa CI config.

* Rebuild for buster.
[ Karsten Merker ]
* Enable the "unreleased" suite for architectures in the Debian-Ports
archive when configuring a network mirror.

-- Cyril Brulebois <kibi@debian.org> Thu, 15 Aug 2019 16:27:55 +0200
-- Karsten Merker <merker@debian.org> Tue, 20 Aug 2019 23:28:43 +0200

apt-setup (1:0.151) unstable; urgency=medium

@@ -110,12 +294,6 @@ apt-setup (1:0.145) unstable; urgency=medium

-- Holger Wansing <hwansing@mailbox.org> Thu, 10 Jan 2019 23:20:27 +0100

apt-setup (1:0.144+devuan1) unstable; urgency=medium

* merged 0.144 into unstable

-- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org> Fri, 02 Nov 2018 13:30:33 +0000

apt-setup (1:0.144) unstable; urgency=medium

* Team upload
@@ -156,12 +334,6 @@ apt-setup (1:0.142) unstable; urgency=medium

-- Holger Wansing <hwansing@mailbox.org> Fri, 10 Aug 2018 20:45:59 +0200

apt-setup (1:0.141+devuan1) unstable; urgency=medium

* merged version from buster

-- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org> Sat, 14 Apr 2018 00:33:15 +0100

apt-setup (1:0.141) unstable; urgency=medium

[ Updated translations ]


+ 3
- 3
debian/control View File

@@ -4,8 +4,8 @@ Priority: optional
Maintainer: Ralph (rrq) Ronnquist <ralph.ronnquist@gmail.com>
Uploaders: Ralph (rrq) Ronnquist <ralph.ronnquist@gmail.com>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.7.0), po-debconf (>= 0.5.0)
Vcs-Browser: https://git.devuan.org/devuan-packages/apt-setup
Vcs-Git: https://git.devuan.org/devuan-packages/apt-setup.git
Vcs-Browser: https://git.devuan.org/devuan/apt-setup
Vcs-Git: https://git.devuan.org/devuan/apt-setup.git

Package: apt-setup-udeb
Package-Type: udeb
@@ -18,7 +18,7 @@ Description: Configure apt
Package: apt-mirror-setup
Package-Type: udeb
Architecture: all
Depends: choose-mirror-bin, ${misc:Depends}
Depends: choose-mirror-bin, base-installer (>= 1.195), ${misc:Depends}
Description: set up a mirror in sources.list

Package: apt-cdrom-setup


+ 83
- 83
generators/41cdset View File

@@ -7,34 +7,34 @@ set -e
# This code is copied from chroot-setup.sh, and is needed until after a d-i
# release whose initrds contain a sufficiently new version of di-utils.
if ! type chroot_cleanup_localmounts >/dev/null 2>&1; then
# Variant of chroot_cleanup that only cleans up chroot_setup's mounts.
chroot_cleanup_localmounts () {
rm -f /target/usr/sbin/policy-rc.d
mv /target/sbin/start-stop-daemon.REAL /target/sbin/start-stop-daemon
if [ -x /target/sbin/initctl.REAL ]; then
mv /target/sbin/initctl.REAL /target/sbin/initctl
fi
# Undo the mounts done by the packages during installation.
# Reverse sorting to umount the deepest mount points first.
# Items with count of 1 are new.
for dir in $( (cat /tmp/mount.pre /tmp/mount.pre /tmp/mount.post ) | \
sort -r | uniq -c | grep "^[[:space:]]*1[[:space:]]" | \
sed "s/^[[:space:]]*[0-9][[:space:]]//"); do
if ! umount $dir; then
logger -t $0 "warning: Unable to umount '$dir'"
fi
done
rm -f /tmp/mount.pre /tmp/mount.post
rm -f /var/run/chroot-setup.lock
}
# Variant of chroot_cleanup that only cleans up chroot_setup's mounts.
chroot_cleanup_localmounts () {
rm -f /target/usr/sbin/policy-rc.d
mv /target/sbin/start-stop-daemon.REAL /target/sbin/start-stop-daemon
if [ -x /target/sbin/initctl.REAL ]; then
mv /target/sbin/initctl.REAL /target/sbin/initctl
fi
# Undo the mounts done by the packages during installation.
# Reverse sorting to umount the deepest mount points first.
# Items with count of 1 are new.
for dir in $( (cat /tmp/mount.pre /tmp/mount.pre /tmp/mount.post ) | \
sort -r | uniq -c | grep "^[[:space:]]*1[[:space:]]" | \
sed "s/^[[:space:]]*[0-9][[:space:]]//"); do
if ! umount $dir; then
logger -t $0 "warning: Unable to umount '$dir'"
fi
done
rm -f /tmp/mount.pre /tmp/mount.post
rm -f /var/run/chroot-setup.lock
}
fi

file="$1"

if [ ! -e /cdrom/.disk/cd_type ] || [ ! -e /var/lib/install-cd.id ]; then
exit 0
exit 0
fi

# Various different image types look different here:
@@ -59,42 +59,42 @@ fi
cd_type=$(cat /cdrom/.disk/cd_type)
case "$cd_type" in
live)
exit 0
;;
exit 0
;;
full_cd/single)
exit 0
;;
exit 0
;;
bluray*)
exit 0
;;
exit 0
;;
esac

get_label() {
LC_ALL=C $logoutput --pass-stdout $chroot $ROOT \
apt-cdrom ident < /dev/null | grep "^Stored label:" | head -n1 | \
sed "s/^[^:]*: //"
LC_ALL=C $logoutput --pass-stdout $chroot $ROOT \
apt-cdrom ident < /dev/null | grep "^Stored label:" | head -n1 | \
sed "s/^[^:]*: //"
}

logoutput=""
if [ "$CATCHLOG" ]; then
logoutput="log-output -t apt-setup"
logoutput="log-output -t apt-setup"
fi

chroot=
if [ "$ROOT" ]; then
chroot=chroot
# We can only change CDs if current CD is unmounted
$logoutput umount /cdrom || true
chroot_setup
# Horrible hack to let us call a subprocess that also sources the
# confmodule, since chroot_setup tears down debconf state.
export DEBIAN_HAS_FRONTEND=1
export DEBCONF_REDIR=1
# Needed until after a d-i release with new enough di-utils.
mountpoints > /tmp/mount.post
trap chroot_cleanup_localmounts EXIT HUP INT QUIT TERM
chroot=chroot
# We can only change CDs if current CD is unmounted
$logoutput umount /cdrom || true
chroot_setup
# Horrible hack to let us call a subprocess that also sources the
# confmodule, since chroot_setup tears down debconf state.
export DEBIAN_HAS_FRONTEND=1
export DEBCONF_REDIR=1
# Needed until after a d-i release with new enough di-utils.
mountpoints > /tmp/mount.post
trap chroot_cleanup_localmounts EXIT HUP INT QUIT TERM
fi

tmp=$($chroot $ROOT tempfile)
@@ -103,49 +103,49 @@ cd_label=$(tail -n1 /var/lib/install-cd.id)
db_subst apt-setup/cdrom/set-first LABEL "$cd_label"
db_input high apt-setup/cdrom/set-first || true
if ! db_go; then
if [ "$ROOT" ]; then
load-install-cd "$ROOT"
fi
exit 10
if [ "$ROOT" ]; then
load-install-cd "$ROOT"
fi
exit 10
fi
db_get apt-setup/cdrom/set-first

while [ "$RET" = true ]; do
cd_label=$(get_label)
# Hmm. The greps could fail if a label contains regexp control chars...
if [ "$cd_label" ] && \
(grep "^deb cdrom:\[$cd_label\]" $file || \
grep "^deb cdrom:\[$cd_label\]" $ROOT/etc/apt/sources.list.new); then
template=apt-setup/cdrom/set-double
db_subst $template LABEL "$cd_label"
else
# apt-cdrom can be interactive, avoid that
if $logoutput $chroot $ROOT apt-cdrom add \
-o Dir::Etc::SourceList=$tmp \
</dev/null; then
cat $ROOT$tmp >> $file
# Label is assigned by apt-cdrom add, so get again
cd_label=$(get_label)
template=apt-setup/cdrom/set-next
db_subst $template LABEL "$cd_label"
else
template=apt-setup/cdrom/set-failed
fi
rm -f $ROOT$tmp $ROOT$tmp~
fi
db_input critical $template || true
if ! db_go; then
if [ "$ROOT" ]; then
load-install-cd "$ROOT"
fi
exit 10
fi
db_get $template
cd_label=$(get_label)
# Hmm. The greps could fail if a label contains regexp control chars...
if [ "$cd_label" ] && \
(grep "^deb cdrom:\[$cd_label\]" $file || \
grep "^deb cdrom:\[$cd_label\]" $ROOT/etc/apt/sources.list.new); then
template=apt-setup/cdrom/set-double
db_subst $template LABEL "$cd_label"
else
# apt-cdrom can be interactive, avoid that
if $logoutput $chroot $ROOT apt-cdrom add \
-o Dir::Etc::SourceList=$tmp \
</dev/null; then
cat $ROOT$tmp >> $file
# Label is assigned by apt-cdrom add, so get again
cd_label=$(get_label)
template=apt-setup/cdrom/set-next
db_subst $template LABEL "$cd_label"
else
template=apt-setup/cdrom/set-failed
fi
rm -f $ROOT$tmp $ROOT$tmp~
fi
db_input critical $template || true
if ! db_go; then
if [ "$ROOT" ]; then
load-install-cd "$ROOT"
fi
exit 10
fi
db_get $template
done

# Make sure the installation CD is loaded again
if [ "$ROOT" ]; then
load-install-cd "$ROOT"
load-install-cd "$ROOT"
fi

+ 16
- 0
generators/50mirror View File

@@ -2,6 +2,7 @@
set -e

. /usr/share/debconf/confmodule
. /usr/lib/base-installer/library.sh

file="$1"

@@ -25,6 +26,14 @@ ask_no_mirror() {
fi
}

# For architectures in the Debian-Ports archive, sources.list has to include
# an additional entry for the "unreleased" suite.
unset use_unreleased
if is_ports_architecture "$(chroot /target /usr/bin/dpkg --print-architecture)"; then
log "Debian-Ports architecture detected"
use_unreleased=yes
fi

# Ask if a mirror should be used if the base system can be installed from CD
# Default value and priority vary with the CD type used and number of CDs
# that has been scanned in 41cdset
@@ -238,6 +247,9 @@ while [ ! "$done" ]; do
esac

echo "deb $protocol://$hostname$directory $codename $dists" > $file
if [ -n "${use_unreleased}" ]; then
echo "deb $protocol://$hostname$directory unreleased main" >> $file
fi
if apt-setup-verify --from $PROGRESS_FROM --to $PROGRESS_TO $file; then
done=1
@@ -262,3 +274,7 @@ if [ "$RET" = false ]; then
fi

echo "$deb_src $protocol://$hostname$directory $codename $dists" >> $file
if [ -n "${use_unreleased}" ]; then
echo "# 'unreleased' does not support sources yet" >> $file
echo "# $deb_src $protocol://$hostname$directory unreleased main" >> $file
fi

+ 49
- 49
generators/60local View File

@@ -7,55 +7,55 @@ file="$1"

i=0
while db_get "apt-setup/local$i/repository" && [ "$RET" ]; do
repository="${RET#deb }"
comment=
if db_get "apt-setup/local$i/comment"; then
comment="$RET"
fi
key=
if db_get "apt-setup/local$i/key"; then
key="$RET"
fi
echo >> $file
if [ -n "$comment" ]; then
echo "## $comment" >> $file
fi
echo "deb $repository" >> $file
# if true, add a line for deb-src
if db_get "apt-setup/local$i/source" && [ "$RET" = true ]; then
echo "deb-src $repository" >> $file
fi
if [ -n "$key" ]; then
# fetch the key
while :; do
if fetch-url "$key" "$ROOT/tmp/key$i.pub"; then
# add it to the keyring
if [ -n "$comment" ]; then
name=$(echo "$comment" | sed -E 's/[^0-9A-Za-z]+/_/g')
else
name="apt-setup_local$i"
fi
if grep -q -- '-----BEGIN PGP PUBLIC KEY BLOCK-----' "$ROOT/tmp/key$i.pub"
then
mv "$ROOT/tmp/key$i.pub" "$ROOT/etc/apt/trusted.gpg.d/$name.asc"
else
mv "$ROOT/tmp/key$i.pub" "$ROOT/etc/apt/trusted.gpg.d/$name.gpg"
fi
break
else
db_subst apt-setup/local/key-error MIRROR "${repository%% *}"
db_subst apt-setup/local/key-error URL "$key"
db_set apt-setup/local/key-error Retry
db_input critical apt-setup/local/key-error || true
db_go || exit 10
db_get apt-setup/local/key-error
if [ "$RET" = Ignore ]; then
break
fi
fi
done
fi
i="$(($i + 1))"
repository="${RET#deb }"
comment=
if db_get "apt-setup/local$i/comment"; then
comment="$RET"
fi
key=
if db_get "apt-setup/local$i/key"; then
key="$RET"
fi
echo >> $file
if [ -n "$comment" ]; then
echo "## $comment" >> $file
fi
echo "deb $repository" >> $file
# if true, add a line for deb-src
if db_get "apt-setup/local$i/source" && [ "$RET" = true ]; then
echo "deb-src $repository" >> $file
fi
if [ -n "$key" ]; then
# fetch the key
while :; do
if fetch-url "$key" "$ROOT/tmp/key$i.pub"; then
# add it to the keyring
if [ -n "$comment" ]; then
name=$(echo "$comment" | sed -E 's/[^0-9A-Za-z]+/_/g')
else
name="apt-setup_local$i"
fi
if grep -q -- '-----BEGIN PGP PUBLIC KEY BLOCK-----' "$ROOT/tmp/key$i.pub"
then
mv "$ROOT/tmp/key$i.pub" "$ROOT/etc/apt/trusted.gpg.d/$name.asc"
else
mv "$ROOT/tmp/key$i.pub" "$ROOT/etc/apt/trusted.gpg.d/$name.gpg"
fi
break
else
db_subst apt-setup/local/key-error MIRROR "${repository%% *}"
db_subst apt-setup/local/key-error URL "$key"
db_set apt-setup/local/key-error Retry
db_input critical apt-setup/local/key-error || true
db_go || exit 10
db_get apt-setup/local/key-error
if [ "$RET" = Ignore ]; then
break
fi
fi
done
fi
i="$(($i + 1))"
done

exit 0

+ 34
- 53
generators/91security View File

@@ -7,77 +7,58 @@ file="$1"

db_get apt-setup/services-select
if ! echo "$RET" | grep -q security; then
exit
exit
fi

if db_get mirror/codename && [ -n "$RET" ]; then
codename="$RET"
db_get mirror/suite
suite="$RET"
db_get mirror/protocol
protocol="$RET"
db_get mirror/$protocol/hostname
host="$RET"
db_get mirror/$protocol/directory
directory="/${RET#/}"
else
db_get cdrom/codename
codename="$RET"
db_get cdrom/suite
suite="$RET"
db_get apt-setup/security_host
host="$RET"
[ "$host" ] || exit

if ! db_get mirror/codename || [ -z "$RET" ]; then
db_get cdrom/codename
fi
codename="$RET"

## Check with user if contrib and/or non-free should be included
# To determine if non-free and contrib should be included, grep
# the file to see if they are listed in it.
dists="main"
for dist in contrib non-free; do
db_get apt-setup/$dist
if [ "$RET" = true ]; then
dists="$dists $dist"
fi
if grep -q '^[^#]* '$dist $ROOT/etc/apt/sources.list.new; then
dists="$dists $dist"
fi
done

# Don't test mirror if no network selected in netcfg
#echo "deb http://$host/debian-security $codename/updates $dists" >> $file
if [ -n "$protocol" ] && [ -n "$host" ]; then
echo "deb $protocol://${host}${directory} ${codename}-security $dists" >> $file
else
echo "# A network mirror was not selected during install. The following entries" >> $file
echo "# are provided as examples, but you should amend them as appropriate" >> $file
echo "# for your mirror of choice." >> $file
echo "#" >> $file
echo "# deb http://deb.devuan.org/merged ${codename}-security $dists" >> $file
fi
# Starting with bullseye, /updates became -security:
case "$codename" in
squeeze|wheezy|jessie|stretch|buster)
security_codename="$codename/updates" ;;
*) security_codename="$codename-security" ;;
esac

# Don't test mirror if no network selected in netcfg
echo "deb http://$host/merged $security_codename $dists" >> $file
if db_get netcfg/dhcp_options && \
[ "$RET" = "Do not configure the network at this time" ]; then
CODE=9
CODE=9
else
CODE=0
case $protocol in
http|https)
export ASV_TIMEOUT="-o Acquire::http::Timeout=30"
;;
esac
if ! apt-setup-verify --from $PROGRESS_FROM --to $PROGRESS_TO $file; then
db_subst apt-setup/service-failed HOST "$host"
db_input critical apt-setup/service-failed || true
if ! db_go; then
exit 10 # back up
fi
CODE=9
fi
CODE=0
export ASV_TIMEOUT="-o Acquire::http::Timeout=30"
if ! apt-setup-verify --from $PROGRESS_FROM --to $PROGRESS_TO $file; then
db_subst apt-setup/service-failed HOST "$host"
db_input critical apt-setup/service-failed || true
if ! db_go; then
exit 10 # back up
fi
CODE=9
fi
fi

deb_src="deb-src"
db_get apt-setup/enable-source-repositories
if [ "$RET" = false ]; then
deb_src="# deb-src"
deb_src="# deb-src"
fi

if [ -n "$protocol" ] && [ -n "$host" ]; then
echo "$deb_src $protocol://${host}${directory} ${codename}-security $dists" >> $file
else
echo "# deb-src http://deb.devuan.org/merged ${codename}-security $dists" >> $file
fi
echo "$deb_src http://$host/merged $security_codename $dists" >> $file

exit $CODE

+ 45
- 44
generators/92updates View File

@@ -7,78 +7,79 @@ file="$1"

db_get apt-setup/services-select
if ! echo "$RET" | grep -q updates; then
exit
exit
fi

if db_get mirror/codename && [ "$RET" ]; then
codename="$RET"
db_get mirror/suite
suite="$RET"
codename="$RET"
db_get mirror/suite
suite="$RET"

db_get mirror/protocol
protocol="$RET"
db_get mirror/$protocol/hostname
host="$RET"
db_get mirror/$protocol/directory
directory="/${RET#/}"
db_get mirror/protocol
protocol="$RET"
db_get mirror/$protocol/hostname
host="$RET"
db_get mirror/$protocol/directory
directory="/${RET#/}"
else
db_get cdrom/codename
codename="$RET"
db_get cdrom/suite
suite="$RET"
db_get cdrom/codename
codename="$RET"
db_get cdrom/suite
suite="$RET"
fi

# To determine if non-free and contrib should be included, grep
# the file to see if they are listed in it.
dists="main"
## Check with user if contrib and/or non-free should be included
for dist in contrib non-free; do
db_get apt-setup/$dist
if [ "$RET" = true ]; then
dists="$dists $dist"
fi
if grep -q '^[^#]* '$dist $ROOT/etc/apt/sources.list.new; then
dists="$dists $dist"
fi
done

# Don't test mirror if no network selected in netcfg
echo "# ${codename}-updates, previously known as 'volatile'" >> $file
echo "# ${codename}-updates, to get updates before a point release is made;" >> $file
echo "# see https://www.debian.org/doc/manuals/debian-reference/ch02.en.html#_updates_and_backports" >> $file

if [ -n "$protocol" ] && [ -n "$host" ]; then
echo "deb $protocol://${host}${directory} ${codename}-updates $dists" >> $file
echo "deb $protocol://${host}${directory} ${codename}-updates $dists" >> $file
else
echo "# A network mirror was not selected during install. The following entries" >> $file
echo "# are provided as examples, but you should amend them as appropriate" >> $file
echo "# for your mirror of choice." >> $file
echo "#" >> $file
echo "# deb http://deb.devuan.org/merged ${codename}-updates $dists" >> $file
echo "# A network mirror was not selected during install. The following entries" >> $file
echo "# are provided as examples, but you should amend them as appropriate" >> $file
echo "# for your mirror of choice." >> $file
echo "#" >> $file
echo "# deb http://deb.devuan.org/merged ${codename}-updates $dists" >> $file
fi
if db_get netcfg/dhcp_options && \
[ "$RET" = "Do not configure the network at this time" ]; then
CODE=9
CODE=9
else
CODE=0
case $protocol in
http|https)
export ASV_TIMEOUT="-o Acquire::$protocol::Timeout=30"
;;
esac
if ! apt-setup-verify --from $PROGRESS_FROM --to $PROGRESS_TO $file; then
db_subst apt-setup/service-failed HOST "$host"
db_input critical apt-setup/service-failed || true
if ! db_go; then
exit 10 # back up
fi
CODE=9
fi
CODE=0
case $protocol in
http|https)
export ASV_TIMEOUT="-o Acquire::$protocol::Timeout=30"
;;
esac
if ! apt-setup-verify --from $PROGRESS_FROM --to $PROGRESS_TO $file; then
db_subst apt-setup/service-failed HOST "$host"
db_input critical apt-setup/service-failed || true
if ! db_go; then
exit 10 # back up
fi
CODE=9
fi
fi

deb_src="deb-src"
db_get apt-setup/enable-source-repositories
if [ "$RET" = false ]; then
deb_src="# deb-src"
deb_src="# deb-src"
fi

if [ -n "$protocol" ] && [ -n "$host" ]; then
echo "$deb_src $protocol://${host}${directory} ${codename}-updates $dists" >> $file
echo "$deb_src $protocol://${host}${directory} ${codename}-updates $dists" >> $file
else
echo "# deb-src http://deb.devuan.org/merged ${codename}-updates $dists" >> $file
echo "# deb-src http://deb.devuan.org/merged ${codename}-updates $dists" >> $file
fi

exit $CODE

+ 44
- 44
generators/93backports View File

@@ -7,78 +7,78 @@ file="$1"

db_get apt-setup/services-select
if ! echo "$RET" | grep -q backports; then
exit
exit
fi

if db_get mirror/codename && [ "$RET" ]; then
codename="$RET"
db_get mirror/suite
suite="$RET"
codename="$RET"
db_get mirror/suite
suite="$RET"

db_get mirror/protocol
protocol="$RET"
db_get mirror/$protocol/hostname
host="$RET"
db_get mirror/$protocol/directory
directory="/${RET#/}"
db_get mirror/protocol
protocol="$RET"
db_get mirror/$protocol/hostname
host="$RET"
db_get mirror/$protocol/directory
directory="/${RET#/}"
else
db_get cdrom/codename
codename="$RET"
db_get cdrom/suite
suite="$RET"
db_get cdrom/codename
codename="$RET"
db_get cdrom/suite
suite="$RET"
fi

# To determine if non-free and contrib should be included, grep
# the file to see if they are listed in it.
dists="main"
## Check with user if contrib and/or non-free should be included
for dist in contrib non-free; do
db_get apt-setup/$dist
if [ "$RET" = true ]; then
dists="$dists $dist"
fi
if grep -q '^[^#]* '$dist $ROOT/etc/apt/sources.list.new; then
dists="$dists $dist"
fi
done

##echo "# ${codename}-backports, previously on backports.debian.org" >> $file
echo "# ${codename}-backports, previously on backports.debian.org" >> $file

# Don't test mirror if no network selected in netcfg
if [ -n "$protocol" ] && [ -n "$host" ]; then
echo "deb $protocol://${host}${directory} ${codename}-backports $dists" >> $file
echo "deb $protocol://${host}${directory} ${codename}-backports $dists" >> $file
else
echo "# A network mirror was not selected during install. The following entries" >> $file
echo "# are provided as examples, but you should amend them as appropriate" >> $file
echo "# for your mirror of choice." >> $file
echo "#" >> $file
echo "# deb http://deb.devuan.org/merged ${codename}-backports $dists" >> $file
echo "# A network mirror was not selected during install. The following entries" >> $file
echo "# are provided as examples, but you should amend them as appropriate" >> $file
echo "# for your mirror of choice." >> $file
echo "#" >> $file
echo "# deb http://deb.devuan.org/merged ${codename}-backports $dists" >> $file
fi
if db_get netcfg/dhcp_options && \
[ "$RET" = "Do not configure the network at this time" ]; then
CODE=9
CODE=9
else
CODE=0
case $protocol in
http|https)
export ASV_TIMEOUT="-o Acquire::$protocol::Timeout=30"
;;
esac
if ! apt-setup-verify --from $PROGRESS_FROM --to $PROGRESS_TO $file; then
db_subst apt-setup/service-failed HOST "$host"
db_input critical apt-setup/service-failed || true
if ! db_go; then
exit 10 # back up
fi
CODE=9
fi
CODE=0
case $protocol in
http|https)
export ASV_TIMEOUT="-o Acquire::$protocol::Timeout=30"
;;
esac
if ! apt-setup-verify --from $PROGRESS_FROM --to $PROGRESS_TO $file; then
db_subst apt-setup/service-failed HOST "$host"
db_input critical apt-setup/service-failed || true
if ! db_go; then
exit 10 # back up
fi
CODE=9
fi
fi

deb_src="deb-src"
db_get apt-setup/enable-source-repositories
if [ "$RET" = false ]; then
deb_src="# deb-src"
deb_src="# deb-src"
fi

if [ -n "$protocol" ] && [ -n "$host" ]; then
echo "$deb_src $protocol://${host}${directory} ${codename}-backports $dists" >> $file
echo "$deb_src $protocol://${host}${directory} ${codename}-backports $dists" >> $file
else
echo "# deb-src http://deb.devuan.org/merged ${codename}-backports $dists" >> $file
echo "# deb-src http://deb.devuan.org/merged ${codename}-backports $dists" >> $file
fi

exit $CODE

Loading…
Cancel
Save